%global momorel 3

Summary: LablGL is an OpenGL interface for Objective Caml
Name: lablgl
Version: 1.02
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: BSD
URL: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html

%NoSource 0 http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-1.02.tar.gz b50e4e7d856c26bc4449151e4307b37b

Requires: ocaml >= 3.09.2
Requires: labltk >= 3.09.2
BuildPreReq: ocaml >= 3.09.2
BuildPreReq: labltk >= 3.09.2
BuildPreReq: camlp4 >= 3.09.2
BuildPreReq: tcl-devel
BuildPreReq: tk-devel
BuildPreReq: freeglut-devel 
BuildPreReq: libX11-devel
BuildPreReq: libXext-devel
BuildPreReq: libXmu-devel
BuildPreReq: libXxf86vm-devel
BuildPreReq: mesa-libGL-devel
BuildPreReq: mesa-libGLU-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
LablGL is is an Objective Caml interface to OpenGL. Support is
included for use inside LablTk, and LablGTK also includes specific
support for LablGL.  It can be used either with proprietary OpenGL
implementations (SGI, Digital Unix, Solaris...), with XFree86 GLX
extension, or with open-source Mesa.


%prep
%setup -q


%build
cat > Makefile.config <<EOF
%ifnarch ppc64
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
%else
CAMLC = ocamlc
%endif
BINDIR = %{_bindir}
XINCLUDES = -I%{_includedir}
XLIBS = -L%{_libdir} -lXext -lXmu -lX11
TKINCLUDES = -I%{_includedir}
GLINCLUDES =
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut -lXxf86vm
RANLIB = :
LIBDIR = %{_libdir}/ocaml
DLLDIR = %{_libdir}/ocaml/stublibs
INSTALLDIR = %{_libdir}/ocaml/lablGL
TOGLDIR=Togl
COPTS = $RPM_OPT_FLAGS
EOF
%ifnarch ppc64
make all opt
%else
make all
%endif


%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}/ocaml/lablGL
%__mkdir_p %{buildroot}%{_libdir}/ocaml/stublibs
make INSTALLDIR=%{buildroot}%{_libdir}/ocaml/lablGL \
     DLLDIR=%{buildroot}%{_libdir}/ocaml/stublibs \
     BINDIR=%{buildroot}%{_bindir} \
     install


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT README Togl/examples LablGlut/examples
%{_bindir}/*
%{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/stublibs/*.so


%changelog
* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.02-3m)
- disable opt for ppc64

* Sun Oct 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-2m)
- rebuild against freeglut

* Wed Jul 12 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.02-1m)
- import from FC-5
-* Wed May 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-7
-- rebuilt for ocaml 3.09.2
-
-* Sun Feb 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-4
-- Rebuild for ocaml 3.09.1
-
-* Sat Feb 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-3
-- Rebuild for Fedora Extras 5
-
-* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.02-2
-- build opt libraries
-
-* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.02-1
-- New Version 1.02
-
-* Sun Sep 11 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.01-7
-- Rebuild with new ocaml
-
-* Thu May 26 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 1.01-6
-- Bump and rebuild with new ocaml.
-  
-* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.01-5
-- rebuild on all arches
-
-* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
-- rebuilt
-
-* Fri Apr  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.01-3
-- Rebuild for ocaml 3.08.3
-
-* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:1.01-2
-- Removed %{_smp_mflags} as it breaks the build
-
-* Thu Aug 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.01-0.fdr.1
-- New Version 1.01
-
-* Mon Dec  1 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.00-0.fdr.4
-- Patch to used GL/freeglut.h instead of GL/glut.h
-- Add BuildRequires for labltk
-
-* Fri Nov 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.00-0.fdr.3
-- Add BuildRequires for camlp4
